restinio::http_field_parsers::content_disposition_details::language_predicate_t Struct Reference

A preducate for symbol_producer_template that checks that a symbol is language symbol from RCF5646. More...

`#include <content-disposition.hpp>`

## Public Member Functions

RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Detailed Description

A preducate for symbol_producer_template that checks that a symbol is language symbol from RCF5646.

Attention
  In the current version of RESTinio only the presence of characters defined in RFC5646 is checked. But those characters can form illegal sequencies.

See: https://tools.ietf.org/html/rfc5646#section-2.1

Since
  v.0.6.1

Definition at line 184 of file content-disposition.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD bool restinio::http_field_parsers::content_disposition_details::language_predicate_t::operator() | ( | const char | actual | ) | const

inlinenoexcept

Definition at line 188 of file content-disposition.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/content-disposition.hpp